Bug 190768 - pointless dependancy on GL libraries.
pointless dependancy on GL libraries.
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libtiff (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-04 19:57 EDT by Dave Jones
Modified: 2015-01-04 17:27 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-05 00:50:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dave Jones 2006-05-04 19:57:19 EDT
libtiff comes with this godawful tiff viewer called tiffgt, which is written
(for reasons no-one can fathom) using OpenGL.  It doesn't seem to offer any real
redeeming features, and breaks easily (it segfaulted on a sample tiff I created
in gimp).

Can we chop this bit out of the build so this dependancy goes away ?
I noticed it when I installed samba on a fileserver, and saw it trying to pull
in GL libraries on a headless box via  samba-common->cups-libs->libtiff->mesa-libGL
Comment 1 Matthias Clasen 2006-05-04 23:29:14 EDT
how about splitting off a libtiff-clients package with all the binaries ?
Comment 2 Matthias Clasen 2006-05-05 00:50:39 EDT
i ended up removing it

Note You need to log in before you can comment on or make changes to this bug.